
  <!DOCTYPE html>
  <html>
    <head>
      <title>Input.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/Input/Input.tsx</td><td class="">100.00%</td><td class="">80%</td><td class="">120</td><td class="">120</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React, { ForwardedRef } from &#x27;react&#x27;;
import clsx from &#x27;clsx&#x27;;

import s from &#x27;./Input.module.scss&#x27;;
import { BaseComponent } from &#x27;../../utils/BaseComponent&#x27;;

export interface InputProps extends BaseComponent {
  icon?: React.ReactNode;
  downPlaceholder?: React.ReactNode;
  value?: string;
  onChange?: React.ChangeEventHandler&lt;HTMLInputElement&gt;;
  size?: &#x27;large&#x27; | &#x27;medium&#x27; | &#x27;small&#x27;;
  accept?: string;
  fullWidth?: boolean;
  type?: string;
  disabled?: boolean;
  onFocus?: React.FocusEventHandler&lt;HTMLInputElement&gt;;
  onBlur?: React.FocusEventHandler&lt;HTMLInputElement&gt;;
  error?: string;
}

export const Input = React.forwardRef(
  (
    {
      className,
      icon,
      value,
      onChange,
      downPlaceholder,
      size = &#x27;small&#x27;,
      accept,
      fullWidth,
      type,
      disabled,
      onBlur,
      onFocus,
      error
    }: InputProps,
    ref: ForwardedRef&lt;HTMLInputElement&gt;
  ) =&gt; {
    return (
      &lt;div
        className={clsx(
          className,
          s.Input,
          fullWidth &amp;&amp; s.Input_fullWidth,
          error &amp;&amp; s.Input_error
        )}
      &gt;
        &lt;div
          className={clsx(
            s.Input__wrapper,
            s[`Input__wrapper_size_${size}`],
            error &amp;&amp; s.Input__wrapper_error
          )}
        &gt;
          &lt;input
            onFocus={onFocus}
            onBlur={onBlur}
            accept={accept}
            disabled={disabled}
            ref={ref}
            type={type}
            value={value}
            onChange={onChange}
            className={s.Input__input}
          /&gt;
          {icon ? &lt;div className={s.Input__icon}&gt;{icon}&lt;/div&gt; : null}
        &lt;/div&gt;
        {error || downPlaceholder ? (
          &lt;&gt;
            &lt;div className={s.Input__downPlaceholderPlace} /&gt;
            &lt;div
              className={clsx(
                s.Input__downPlaceholder,
                error &amp;&amp; s.Input__downPlaceholder_error
              )}
            &gt;
              {error ?? downPlaceholder}
            &lt;/div&gt;
          &lt;/&gt;
        ) : null}
      &lt;/div&gt;
    );
  }
);
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  